MKRC(1)

NAME
mkrc - bless files into a dotfiles managed by rcm

SYNOPSIS
mkrc [-ChoqSsVvUukK] [-t tag] [-d dir] [-B hostname] files ...

DESCRIPTION
This program adds files to your dotfiles directory then update them back into your home directory. It can install files under a tag or install them in a different source directory. Remember to first create standard rc files, then use mkrc on them.

It supports these options:

-B HOSTNAME
    use the supplied hostname instead of computing one. Implies -o.

-C  copy instead of symlinking when installing the rc file back into your home directory. This will prevent future updates in the dotfiles directory for added element, and its contents if it is a directory.

-d DIR
    install dotfiles under the specified directory. Use only once to override DOTFILES_DIRS value from RCRC and the absolute default value.

-h  show usage instructions.

-o  install dotfiles into the host-specific directory.

-q  decrease verbosity.

-S  treat the specified rc files as files to be symlinked, even if they are directories.

-s  if the rc file is a file, symlink it; otherwise, make a directory structure as described in rcup(1) in the section ALGORITHM. This is the default.

-t TAG
    install dotfiles according to tag

-U  the specified files or directories are to be installed without a leading dot.

-u  the specified files or directories are to be installed with a leading dot. This is the default.

-v  increase verbosity. This can be repeated for extra verbosity.

-V  show the version number.

-k  pass -k to rcup when installing the made rc file. This option enables pre- and post-hooks, which is the default, making this effectively a no-op. See the ALGORITHM section in rcup(1).

-K  pass -K to rcup when installing the made rc file. This option prevents pre- and post-up hooks from running as part of creating the rc file. See the ALGORITHM section in rcup(1).

ENVIRONMENT

RCRC
    User configuration file. Defaults to ~/.rcrc.

FILES
~/.dotfiles ~/.rcrc

EXAMPLES
    mkrc ~/.vimrc
    mkrc -t zsh -d company-dotfiles ~/.zshrc ~/.zlogin
    mkrc -o ~/.rcrc
    mkrc -C .ssh
    mkrc -S .zpretzo
    mkrc -U bin

SEE ALSO
lsrc(1), rcdn(1), rcup(1), rcrc(5), rcm(7)

AUTHORS
mkrc is maintained by Mike Burns <mburns@thoughtbot.com> and thoughtbot: http://thoughtbot.com